---
title: App helpers (v{{ helpers_version }})
template: docs
taxonomy:
    category: docs
routes:
  default: '/packaging_apps_helpers{% if helpers_version not in ["1", "2"] %}_v{{ helpers_version }}{% endif %}'
---

Doc auto-generated by [this script](https://github.com/YunoHost/yunohost/blob/{{ current_commit }}/doc/generate_helper_doc.py) on {{date}} (YunoHost version {{version}})


{% for section_id, section in tree.items() %}
## {{ section["title"].title() }}

{% if section['notes'] %}<p>{{ section['notes'] }}</p>{% endif %}

    {% for subsection, helpers in section["helpers"].items() %}

### {{ subsection.upper() }}
        {% for h in helpers %}
#### {{ h.name }}

<details> <summary><i>{{ h.brief }}</i></summary>

**Usage**: `{{ h.usage }}`
{%- if h.args %}

**Arguments**:
    {%- for infos in h.args %}
        {%- if infos|length == 2 %}
- `{{ infos[0] }}`: {{ infos[1] }}
        {%- else %}
- `{{ infos[0] }}`, `{{ infos[1] }}`: {{ infos[2] }}
        {%- endif %}
    {%- endfor %}
{%- endif %}
{%- if h.ret %}

**Returns**: {{ h.ret }}
{%- endif %}
{%- if "example" in h.keys() %}

**Example**: `{{ h.example }}`
{%- endif %}
{%- if "examples" in h.keys() %}

**Examples**:
    {% for example in h.examples %}
        {% if not example.strip().startswith("# ") %}
- `{{ example }}`
        {% else %}
- `{{ example.strip("# ") }}`
        {% endif %}
    {% endfor %}
{%- endif %}
{%- if h.details %}

**Details**:  
{{ h.details }}
{%- endif %}
[Dude, show me the code!](https://github.com/YunoHost/yunohost/blob/{{ current_commit }}/helpers/helpers.v{{ helpers_version if helpers_version != "2" else "1" }}.d/{{ subsection }}#L{{ h.line + 1 }})
</details>
        {% endfor %}
---
    {% endfor %}
{% endfor %}
